#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	colord
Version		:	1.4.6
Release		:	17.0.10.rel%{?dist}
Summary		:	Color daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.freedesktop.org/software/colord/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-devel
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	lcms2
BuildRequires	:	libgusb-devel
BuildRequires	:	libgudev
BuildRequires	:	meson, ninja
BuildRequires	:	polkit-devel
BuildRequires	:	sqlite
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
colord is a low level system activated daemon that
maps color devices to color profiles in the system
context.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
#%doc COPYING NEWS README.rst
%{_includedir}/%{name}-1/*.h
%{_includedir}/%{name}-1/%{name}/*.h
%{_includedir}/%{name}-1/%{name}-session/*.h
%{_includedir}/%{name}-1/colorhug/*.h
%{_bindir}/cd-*
%{_bindir}/colormgr
%{_libexecdir}/%{name}
%{_libexecdir}/%{name}-session
%{_libdir}/udev/rules.d/*.rules
%{_libdir}/%{name}-plugins/lib%{name}_*.so
%{_libdir}/%{name}-sensors/lib%{name}_*.so
%{_libdir}/lib%{name}*.so*
%{_libdir}/libcolorhug.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/colorhug.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/color/icc/%{name}/*.icc
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/illuminant/*.sp
%{_datadir}/%{name}/cmf/*.cmf
%{_datadir}/%{name}/ref/CIE-*
%{_datadir}/%{name}/ti1/*.ti1
%{_datadir}/dbus-1/interfaces/org.freedesktop.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.*.service
%{_datadir}/dbus-1/system-services/org.freedesktop.*.service
%{_datadir}/dbus-1/system.d/org.freedesktop.*.conf
%{_datadir}/gir-1.0/*.gir
%{_datadir}/glib-2.0/schemas/org.freedesktop.*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.*.policy

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-D systemd=false				\
	-D bash_completion=false			\
	-D docs=false					\
	-D man=false					\
	-D sane=false					\
	_bld

meson							\
	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
		-C _bld					\


%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
